From 9bec83c8b78144216d7a80c978af741f51f8b8e3 Mon Sep 17 00:00:00 2001
From: Nathan Bossart <nathan@postgresql.org>
Date: Thu, 8 Aug 2024 12:42:30 -0500
Subject: [PATCH v1 1/2] note correct CRC algorithm in WAL reliability docs

---
 doc/src/sgml/wal.sgml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/wal.sgml b/doc/src/sgml/wal.sgml
index 05e2a8f8be..d5df65bc69 100644
--- a/doc/src/sgml/wal.sgml
+++ b/doc/src/sgml/wal.sgml
@@ -186,7 +186,7 @@
    <itemizedlist>
     <listitem>
      <para>
-      Each individual record in a WAL file is protected by a CRC-32 (32-bit) check
+      Each individual record in a WAL file is protected by a CRC-32C (32-bit) check
       that allows us to tell if record contents are correct. The CRC value
       is set when we write each WAL record and checked during crash recovery,
       archive recovery and replication.
@@ -212,7 +212,7 @@
     </listitem>
     <listitem>
      <para>
-      Individual state files in <filename>pg_twophase</filename> are protected by CRC-32.
+      Individual state files in <filename>pg_twophase</filename> are protected by CRC-32C.
      </para>
     </listitem>
     <listitem>
-- 
2.39.3 (Apple Git-146)

